import { Button as MuiButton, ButtonProps } from '@mui/material';

export const Button = (props: ButtonProps) => {
  return <MuiButton {...props} />;
};

export const IconButton = (props: ButtonProps) => {
  const { variant = 'contained', color = 'primary', sx, children, ...rest } = props;
  return (
    <MuiButton variant={variant} color={color} {...rest} sx={{ color: 'white', minWidth: '24px', padding: '8px', ...sx }}>
      {children}
    </MuiButton>
  );
};

export const IconButtonItem = (props: ButtonProps) => {
  const { variant = 'contained', size = 'small', color = 'primary', sx, children, ...rest } = props;
  return (
    <MuiButton {...props}>
      {/* <MuiButton variant={'contained'} size={size} color={color} {...rest} sx={{ color: 'white', ...sx }}> */}

      {children}
    </MuiButton>
  );
};
