import { MenuItem, Select as MuiSelect, SelectProps as MuiSelectProps } from '@mui/material';
import React from 'react';

type SelectProps = {
  options?: { label: string; value: string }[];
} & MuiSelectProps;

export const Select = React.forwardRef((props: SelectProps, ref) => {
  const { options, ...rest } = props;
  return (
    <MuiSelect {...rest} ref={ref}>
      {options?.map((option) => (
        <MenuItem key={option.value} value={option.value}>
          {option.label}
        </MenuItem>
      ))}
    </MuiSelect>
  );
});
